package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.PlanEquipmentPurchase;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.query.PlanEquipmentPurchaseQuery;
import cn.wise.sc.cement.business.model.vo.PlanEquipmentPurchaseVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ztw
 * @since 2020-09-28
 */
public interface IPlanEquipmentPurchaseService extends IService<PlanEquipmentPurchase> {

	BaseResponse<IPage<PlanEquipmentPurchaseVo>> getPage(PageQuery pageQuery, String name);

	void export(String name, String fileName, HttpServletResponse response);

	BaseResponse<PlanEquipmentPurchase> create(PlanEquipmentPurchaseQuery query);

	BaseResponse<PlanEquipmentPurchase> update(PlanEquipmentPurchaseQuery query);

	BaseResponse<PlanEquipmentPurchaseVo> getDetail(Integer id);

	BaseResponse<String> finish(Integer id);

	BaseResponse<String> delete(Integer id);

}
